## Modulemd.Defaults (Private) Modulemd.Defaults (Private) — ModulemdDefaults methods that should only be used by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

void | modulemd_defaults_set_module_name ()
ModulemdDefaults * | modulemd_defaults_merge ()

## Types and Values

#define | DEFAULT_PLACEHOLDER

## Description

## Functions

### modulemd_defaults_set_module_name ()

    void
    modulemd_defaults_set_module_name (ModulemdDefaults *self,
                                       const gchar *module_name);

#### Parameters

self | This ModulemdDefaults object. | [in]
module_name | The module name this object represents. |

Since: 2.0

### modulemd_defaults_merge ()

    ModulemdDefaults *
    modulemd_defaults_merge (ModulemdDefaults *from,
                             ModulemdDefaults *into,
                             gboolean strict_default_streams,
                             GError **error);

Performs a merge of two ModulemdDefaults objects. See the documentation for ModulemdModuleIndexMerger for details on the merge algorithm used.

#### Parameters

from | A ModulemdDefaults object to merge from. | [in]
into | A ModulemdDefaults object being merged into. | [in]
strict_default_streams | Whether a stream conflict should throw an error or just unset the default stream. | [in]
error | A GError containing the reason for an unresolvable merge conflict. | [out]

#### Returns

A newly-allocated ModulemdDefaults object containing the merged values of `from` and `into` . If this function encounters an unresolvable merge conflict, it will return NULL and set `error` appropriately.

[transfer full]

Since: 2.0

## Types and Values

### DEFAULT_PLACEHOLDER

    #define DEFAULT_PLACEHOLDER "__DEFAULT_PLACEHOLDER__"